# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'bcrypt_hmac/version'

Gem::Specification.new do |spec|
  spec.name          = 'bcrypt_hmac'
  spec.version       = BcryptHmac::VERSION
  spec.authors       = ['ben lamothe']
  spec.email         = ['ben.lamothe@spreemo.com']
  spec.summary       = 'Devise BCrypt + SHA256-HMAC Encryptor'
  spec.homepage      = 'https://github.com/spreemo/bcrypt_hmac'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'bcrypt', '~> 3'
  spec.add_dependency 'devise-encryptable', '~> 0'
  spec.add_dependency 'rails', '< 6.0'

  spec.add_development_dependency 'bundler', '~> 1.6'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'pry', '~> 0.10'
end
